weka.gui.scripting

## Class FileScriptingPanel.BasicAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - weka.gui.scripting.FileScriptingPanel.BasicAction

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action
  Enclosing class:
    FileScriptingPanel

      public abstract class FileScriptingPanel.BasicAction
      extends javax.swing.AbstractAction

  A slightly extended action class.
  Version:
    $Revision: 8034 $
  Author:
    fracpete (fracpete at waikato dot ac dot nz)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileScriptingPanel.BasicAction(java.lang.String name, java.lang.String icon, java.lang.String accel, java.lang.Character mnemonic)` Constructor for setting up an action.

  - ### Method Summary

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.ActionListener

      `actionPerformed`

- - ### Constructor Detail

    - #### FileScriptingPanel.BasicAction

          public FileScriptingPanel.BasicAction(java.lang.String name,
                                        java.lang.String icon,
                                        java.lang.String accel,
                                        java.lang.Character mnemonic)

      Constructor for setting up an action.
      Parameters:
        `name` - the name of the action (to be displayed in menu/button)
        `icon` - the icon name (no path required if in weka/gui/images), can be null
        `accel` - the accelerator command, e.g., "ctrl N", can be null
        `mnemonic` - the mnemonic character